from benchmark.base import BenchmarkBase
from benchmark.pydantic_benchmark.models import PlanogramsBulkInputPayload


class PydanticBenchmark(BenchmarkBase):
    def _benchmark(self) -> None:
        test_data = self._read_test_file()
        PlanogramsBulkInputPayload.parse_raw(test_data)
